Package org.apache.storm.hive.trident

## Class HiveUpdater

- java.lang.Object
- - org.apache.storm.trident.operation.BaseOperation
  - - org.apache.storm.trident.state.BaseStateUpdater<HiveState>
    - - org.apache.storm.hive.trident.HiveUpdater

- All Implemented Interfaces:
    `Serializable`, `Operation`, `StateUpdater<HiveState>`

      @Deprecated(since="2.7.1",
                  forRemoval=true)
      public class HiveUpdater
      extends BaseStateUpdater<HiveState>

  Deprecated, for removal: This API element is subject to removal in a future version.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HiveUpdater()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `updateState​(HiveState state, List<TridentTuple> tuples, TridentCollector collector)` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Methods inherited from class org.apache.storm.trident.operation.BaseOperation

      `cleanup, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.trident.operation.Operation

      `cleanup, prepare`

- - ### Constructor Detail

    - #### HiveUpdater

          public HiveUpdater()

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### updateState

          public void updateState​(HiveState state,
                                  List<TridentTuple> tuples,
                                  TridentCollector collector)

      Deprecated, for removal: This API element is subject to removal in a future version.